﻿using Microsoft.Practices.Prism.Commands;
using Microsoft.Practices.Unity;
using MsdnDemo.Infrastructure.Portable.Logger;
using MsdnDemo.Infrastructure.Portable.MvpVmBase;

namespace MsdnDemo.Base
{
    public class PresentationViewModelBase : MvpVmViewModel
    {
        [Dependency]
        public ILogger Logger { get; set; }

        public DelegateCommand<object> ButtonCommand { get; set; }

        private bool _isAdmin;
        public bool IsAdmin
        {
            get { return _isAdmin; }
            set
            {
                _isAdmin = value;
                OnPropertyChanged("IsAdmin");
            }
        }

        private bool _isGuest;
        public bool IsGuest
        {
            get
            {
                // Admin has all roles but we don't 
                // want it seen as a guest
                return _isGuest && !IsAdmin;
            }
            set
            {
                _isGuest = value;
                OnPropertyChanged("IsGuest");
            }
        }
    }
}
