﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using MsdnDemo.Infrastructure.Portable.Interfaces;
using Microsoft.Practices.ServiceLocation;
using Microsoft.Practices.Prism.UnityExtensions;
using Microsoft.Practices.Prism.Regions;
using Microsoft.Practices.Unity;
using MsdnDemo.Prism;

namespace MsdnDemo
{
    public partial class MainPage : PhoneApplicationPage, IShell
    {
        // Constructor
        public MainPage()
        {
            // we'll require a unity container so that we can set up our
            // service locator
            var container = new UnityContainer();


            // Typically this will be available because Prism is started in
            // the App. For the Phone we start Prism in the MainShell so
            // we have to ensure our Shell has a service locator and 
            // RegionAdapterMappings registration PRIOR to initializeComponent
            // otherwise the XAML bindings for RegionManager will crash
            container
                .RegisterType<IServiceLocator, UnityServiceLocatorAdapter>(new ContainerControlledLifetimeManager())
                ;

            container.RegisterType(typeof(RegionAdapterMappings), typeof(RegionAdapterMappings),
                                   new ContainerControlledLifetimeManager());

            // Set the service locator (singleton)
            ServiceLocator.SetLocatorProvider(container.Resolve<IServiceLocator>);

            InitializeComponent();

            // With RegionManager wired-up we can now
            // execute our bootstrapper passing in a reference
            // to this (shell) so that it can pass it into 
            // Prism.  Typically Prism creates the shell and 
            // passes it to the framework but the Phone doesn't
            // provide us a hook to do so.
            var bootstrapper = new GwnBootstrapper(container);

            bootstrapper.Run(this);
        }
    }
}