﻿using Microsoft.Practices.Unity;
using MsdnDemo.Base;
using MsdnDemo.Infrastructure.Portable.Constants;
using MsdnDemo.Infrastructure.Portable.Types;
using MsdnDemo.MvpVmPresenters;

namespace MsdnDemo.Modules
{
    public class MainModule : PresentationModuleBase
    {
        protected override void RegisterViews()
        {
            base.RegisterViews();

            // Instantiate the presenter, which in turn will instantiate
            // (resolve) the View and ViewModel
            var presenter = Container.Resolve<MainPresenter>();

            // Load this presenters view into the MainRegion
            RegionViewRegistry
                .RegisterViewWithRegion(MvpVm.MainRegion, () => presenter.View);

            // Activate the presenters view after module is loaded
            RaiseViewEvent(MvpVm.MainModule, presenter.View.GetType().Name, ProcessType.ActivateView);
        }
    }
}
