﻿using Microsoft.Practices.Unity;
using MsdnDemo.Base;
using MsdnDemo.Infrastructure.Portable.Interfaces;

namespace MsdnDemo.MvpVmViewModels
{
    public class SecurityViewModel : PresentationViewModelBase
    {
        [Dependency]
        public ISecurityViewModel UserInfo { get; set; }

        public bool IsAuthenticated
        {
            get { return UserInfo.IsAuthenticated; }
            set
            {
                UserInfo.IsAuthenticated = value;
                OnPropertyChanged("IsAuthenticated");

                if(value)
                {
                    IsAdmin = UserInfo.IsInRole("Admin");
                    IsGuest = UserInfo.IsInRole("Guest");
                }
            }
        }

        private string _password = "password";
        public string Password
        {
            get { return _password; }
            set
            {
                _password = value;
                OnPropertyChanged("Password");
            }
        }


        private string _message;
        public string Message
        {
            get { return _message; }
            set
            {
                _message = value;
                OnPropertyChanged("Message");
            }
        }
    }
}
