﻿using System.Linq;
using System.Collections.Generic;
using MsdnDemo.Infrastructure.Portable.Interfaces;

namespace MsdnDemo.Infrastructure.Portable.Entities
{
    public class SecurityEntity : ISecurityViewModel
    {
        private string _login;
        public int Id { get; set; }
        public bool IsAuthenticated { get; set; }
        public IEnumerable<string> Roles { get; set; }

        public string Login
        {
            get { return _login; }
            set 
            { 
                _login = value;
                Id = 0;
                IsAuthenticated = false;
                Roles = new List<string>();
            }
        }

        public bool IsInRole(string roleName)
        {
            if (Roles == null)
                return false;

            return Roles.FirstOrDefault(r => r == roleName) != null;
        }

        public bool IsInRole(string[] roles)
        {
            return roles.Any(role => IsInRole(role));
        }
    }
}
