﻿using System;

namespace MsdnDemo.Infrastructure.Portable.Events
{
    /// <summary>
    /// Module EventArgs
    /// </summary>
    public class ModuleEventArgs : EventArgs
    {
        /// <summary>
        /// Gets or sets the type of the event.
        /// </summary>
        /// <value>The type of the event.</value>
        public ModuleEventType EventType { get; set; }

        /// <summary>
        /// Gets or sets the pay load.
        /// </summary>
        /// <value>The pay load.</value>
        public object PayLoad { get; set; }

        /// <summary>
        /// Gets or sets the module.
        /// </summary>
        /// <value>The module.</value>
        public string ModuleName { get; set; }

    }
}
