﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;

namespace MsdnDemo.Infrastructure.Portable.Logger
{
    public class DebugLogger : ILogger
    {
        /// <summary>
        /// Logs the specified message.
        /// </summary>
        /// <param name="message">The message.</param>
        /// <param name="args">The args.</param>
        public void Log(string message)
        {
            Log(message, null);
        }

        /// <summary>
        /// Logs the specified message.
        /// </summary>
        /// <param name="message">The message.</param>
        /// <param name="args">The args.</param>
        public void Log(string message, params object[] args)
        {

            var msg = message;
            if(args!=null)
                msg = string.Format(message,args);

            Debug.WriteLine(string.Format(
                "GWN:{0} - {1}",
                DateTime.Now.ToLocalTime(),
                msg));
        }
    }
}
