﻿using MsdnDemo.Infrastructure.Portable.Events;
using MsdnDemo.Infrastructure.Portable.Interfaces;

namespace MsdnDemo.Infrastructure.Portable.MvpVmBase
{
    public class MvpVmPresenter<TView,TViewModel> 
        : IMvpVmPresenter
            where TView: IView
            where TViewModel : IMvpVmViewModel
    {

        public IShell Shell { get; set; }
        public TView View { get; set; }
        public TViewModel ViewModel { get; set; }

        /// <summary>
        /// Called when the view is activated (by Application controller)
        /// </summary>
        /// <param name="e">The <see cref="MsdnDemo.Infrastructure.Portable.Events.ViewEventArgs"/> 
        /// instance containing the event data.</param>
        public virtual void ViewActivated(ViewEventArgs e){}
    }
}
