﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace MsdnDemo.Infrastructure.Portable.MvpVmBase
{
    public class MvpVmViewModel : IMvpVmViewModel, INotifyPropertyChanged
    {
        // View models can be reused so we may need to know
        // this id when handling events
        public Guid Id = Guid.NewGuid(); 

        public event PropertyChangedEventHandler PropertyChanged;

        private void InvokePropertyChanged(PropertyChangedEventArgs e)
        {
            var handler = PropertyChanged;
            if (handler != null) handler(this, e);
        }

        protected void OnPropertyChanged(string propertyName)
        {
            InvokePropertyChanged(new PropertyChangedEventArgs(propertyName));
        }

        public IMvpVmPresenter Presenter {get;set;}


    }
}
