﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using Microsoft.Practices.Unity;
using MsdnDemo.Infrastructure.Portable.Entities;
using MsdnDemo.Infrastructure.Portable.Logger;
using Microsoft.Practices.Prism.Events;
using MsdnDemo.Infrastructure.Portable.Interfaces;

namespace MsdnDemo.Mvc3.Tests.Base
{
    public class FixtureBase
    {
        public IUnityContainer Container { get; set; }
        public IEventAggregator EventAggregator { get; set; }

        protected void Initialize()
        {
            Container = new UnityContainer();
            Container
                .RegisterType<ILogger, DebugLogger>()
                .RegisterType<ISecurityViewModel, SecurityEntity>(new ContainerControlledLifetimeManager())
                .RegisterType<IEventAggregator, EventAggregator>(new ContainerControlledLifetimeManager())
                ;
            
            EventAggregator = Container.Resolve<IEventAggregator>();
        }
    }
}
